/**
 * Copyright 2012 Novoda Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.novoda.imageloader.core.file;

import java.io.File;

import android.graphics.Bitmap;

/**
 * FileManager is an interface marking all the implementation of file cache managers.
 */
public interface FileManager {

    void clean();

    void cleanOldFiles();

    String getFilePath(String url);

    File getFile(String url);

    void saveBitmap(String fileName, Bitmap b, int width, int height);

    File getFile(String url, int width, int height);

}
